
Foreman - Bug #35463

Allow rdoc 6.4 on Ruby 3.1

08/31/2022 10:49 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases: 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9328,

https://github.com/theforeman/foreman/p

ull/10140

  

Description

In #34212 rdoc was pinned to < 6.4, but Ruby 3.1 ships rdoc 6.4 by default. Back then it was needed because Rails 6.0 was

incompatible, but with Rails 6.1 it should work. Ruby 3.1 will likely need Rails 7 anyway. Fixing the pin does prepare for newer

versions.

Related issues:

Related to Foreman - Refactor #34212: Pin psych < 4 Closed

Related to Foreman - Tracker #32684: Ruby 3.0 support Closed

Associated revisions

Revision fe777203 - 05/02/2024 09:45 AM - Ewoud Kohl van Wijngaarden

Fixes #35463 - Allow newer rdoc on Ruby 3.1

Ruby 3.1 ships rdoc 6.1 by default.

History

#1 - 08/31/2022 10:50 AM - Ewoud Kohl van Wijngaarden

- Related to Refactor #34212: Pin psych < 4 added

#2 - 09/28/2022 09:50 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9328 added

#3 - 11/06/2023 01:47 AM - The Foreman Bot

- Pull request deleted (https://github.com/theforeman/foreman/pull/9328)

#4 - 11/16/2023 05:42 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9328 added

#5 - 02/24/2024 01:44 AM - The Foreman Bot

- Pull request deleted (https://github.com/theforeman/foreman/pull/9328)

#6 - 02/29/2024 10:24 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9328 added

#7 - 04/25/2024 10:16 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10140 added
#8 - 04/26/2024 12:36 PM - Ewoud Kohl van Wijngaarden

- Parent task deleted (#32684)

#9 - 04/26/2024 12:36 PM - Ewoud Kohl van Wijngaarden

- Related to Tracker #32684: Ruby 3.0 support added

#10 - 05/02/2024 09:45 AM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#11 - 05/02/2024 10:00 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|fe77720302a6e81ff621ef071486ec123c9f74f7.
